post
https://{environment}.origamirisk.com/OrigamiApi/api/Quotes/Proposals
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…
Overview
Creates a new proposal (quote) record.
The request body is a JSON object whose keys correspond to fields on the Proposal domain/entity.
The endpoint validates the data, inserts the proposal, designates the proposal as a Quote, and optionally attaches one or more lines of business.
This is the primary endpoint for programmatically creating quotes in Origami and is the first step in the quoting process.
Quotes vs. Proposals
In Origami, "quote" and "proposal" are not separate entities — they are both stored as Proposal records. The Type field distinguishes what kind of proposal it is:
| Type Code | Meaning |
|---|---|
N | Quote |
A | Application |
E | Endorsement |
R | Renewal |
W | Rewrite |
I | Reissue |
A "quote" is a proposal with Type = "N".
Please note the possibility of receiving a 200 reponse to denote validation errors.